class EventsController < ApplicationController
  before_action :set_event, only: [:show, :edit, :update, :destroy]

  # GET /events
  # GET /events.json
  def index
    #@events = Event.all
    event1 = Event.new
    event1.id  = 1
    event1.user = User.new name: 'Valaki', id: 1
    event1.title = 'Event 1'
    event1.description = "Description 1"
    event1.deadline = Time.now + 2.weeks
    event1.priority = 5
    event2 = Event.new
    event2.id = 2
    event2.user = User.new name: 'Mas valaki', id: 1
    event2.title = 'Event 2'
    event2.description = "Description 2"
    event2.deadline = Time.now + 3.weeks
    event2.priority = 4
    @events = [ event1, event2 ] 
  end

  # GET /events/1
  # GET /events/1.json
  def show
  end

  # GET /events/new
  def new
    @event = Event.new
  end

  # GET /events/1/edit
  def edit
  end

  # POST /events
  # POST /events.json
  def create
    @event = Event.new(event_params)

    respond_to do |format|
      if @event.save
        format.html { redirect_to @event, notice: 'Event was successfully created.' }
        format.json { render :show, status: :created, location: @event }
      else
        format.html { render :new }
        format.json { render json: @event.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /events/1
  # PATCH/PUT /events/1.json
  def update
    respond_to do |format|
      if @event.update(event_params)
        format.html { redirect_to @event, notice: 'Event was successfully updated.' }
        format.json { render :show, status: :ok, location: @event }
      else
        format.html { render :edit }
        format.json { render json: @event.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /events/1
  # DELETE /events/1.json
  def destroy
    @event.destroy
    respond_to do |format|
      format.html { redirect_to events_url, notice: 'Event was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_event
      #@event = Event.find(params[:id])
      @event = Event.new
      @event.id = 1
      @event.user = User.new name: 'Valaki', id: 1
      @event.title = 'Event 1'
      @event.description = "Description 1"
      @event.deadline = Time.now + 2.weeks
      @event.priority = 5
      @event.participants = []
      @event.participants << User.new(name: 'En', id: 2)
      @event.participants << User.new(name: 'Te', id: 3)
      @event.participants << User.new(name: 'O', id: 4)
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def event_params
      params.require(:event).permit(:user_id, :title, :description, :deadline, :priority)
    end
end
